fuzzygenet {ade4} | R Documentation

## Reading a table of genetic data (diploid individuals)

### Description

This function is deprecated. See the `df2genind` function in the package `adegenet`.

Reads data like `char2genet` without a priori population

### Usage

    fuzzygenet(X)

### Arguments

`X` | a data frame of strings of characters (individuals in row, locus in variables), the value coded '000000' or two alleles of 6 characters

### Details

In entry, a row is an individual, a variable is a locus and a value is a string of characters, for example, 012028 for a heterozygote carying alleles 012 and 028; 020020 for a homozygote carrying two alleles 020 and 000000 for a not classified locus (missing data).

In exit, a fuzzy array with the following encoding for a locus:
0 0 1 ... 0 for a homozygote
0 0.5 0.5 ... 0 for a heterozygote
p1 p2 p3 ... pm for an unknown where (p1 p2 p3 ... pm) is the observed allelic frequencies for all tha available data.

### Value

returns a data frame with the 6 following attributs:

`col.blocks` | a vector containing the number of alleles by locus
`all.names` | a vector containing the names of alleles
`loc.names` | a vector containing the names of locus
`row.w` | a vector containing the uniform weighting of rows
`col.freq` | a vector containing the global allelic frequencies
`col.num` | a factor ranking the alleles by locus

### Note

In the exit data frame, the alleles are numbered 1, 2, 3, ... by locus and the loci are called L01, L02, L03, ... for the simplification of listing. The original names are kept.

### Author(s)

Daniel Chessel

### References

~put references to the literature/web site here ~

### See Also

`char2genet` if you have the a priori definition of the groups of individuals (populations). It may be used on the created object `dudi.fca`

### Examples

    data(casitas)
    casitas[1:5, ]
    casitas <- fuzzygenet(casitas)
    attributes(casitas)
    rm(casitas)

[Package ade4 version 1.7-13 Index]